<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterContasPagarReceberTipoTipoDespesaNullable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('contas_pagar_receber', function (Blueprint $table) {
            $table->smallInteger('tipo')->change()->nullable();
            $table->smallInteger('tipo_despesa')->change()->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('contas_pagar_receber', function (Blueprint $table) {
            $table->smallInteger('tipo')->change()->nullable(false);
            $table->smallInteger('tipo_despesa')->change()->nullable(false);
        });
    }
}
